Contacts resource
Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.
Methods supported
| Method | Description |
|---|---|
| Delete | DEL /v2/{accountId}/contacts/{id}Delete a contact |
| Get | GET /v2/{accountId}/contacts/{id}Get a contact |
| GetAllContacts | GET /v2/{accountId}/contactsGet the contacts of the current account |
| GetGroups | GET /v2/{accountId}/contacts/{id}/groupsGet the groups of a contact |
| Patch | PATCH /v2/{accountId}/contacts/{id}Update a contact |
| Post | POST /v2/{accountId}/contactsCreate a contact |
| Put | PUT /v2/{accountId}/contacts/{id}Update a contact |
Contacts properties
| Property | Type | Description |
|---|---|---|
Address1 | string | Line one of the contact’s address. Sortable |
Address2 | string | Line two of the contact’s address. Sortable |
Address3 | string | Line three of the contact’s address. Sortable |
City | string | The contact’s city |
Company | string | The contact’s company. Filterable and sortable |
Country | string | The contact’s country. Sortable |
Department | string | The contact’s department. Sortable |
Email | string | Email address of the contact. Filterable and sortable |
FaxNumber | string | The contact’s fax number. Sortable |
FirstName | string | First name of the contact. This property is required when creating a new contact. Filterable and sortable |
Groups | ApiCollection_Group_ | The distribution groups of which the contact is a member |
Href | string | Uri where the object can be retrieved. |
LastName | string | Last name of the contact. This property is required when creating a new contact. Filterable and sortable |
PhoneNumber | string | The contact’s phone number. Sortable |
Shared | boolean | True if the contact is shared, false if it is private and viewable only by its owner |
State | string | The contact’s state. Sortable |
Title | string | Search for an object by its title |
ZipCode | string | The contact’s zip code. Sortable |